Get tenant settings
curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/get-settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/get-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/get-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": {
"authorityValueType": {
"id": 1,
"tenantId": 1,
"isCurrencyValue": true,
"isNumberValue": false,
"isTimeValue": false,
"isAuthorisedValue": false,
"isPercentageValue": false
},
"decisionSettings": {
"id": 1,
"tenantId": 1,
"roleEnabled": true,
"conditionEnabled": true,
"documentEnabled": true,
"commentsEnabled": true,
"disableSection": true,
"disableCategory": true,
"isDeleted": false
},
"delegationSettings": {
"id": 1,
"tenantId": 1,
"autoIssue": true,
"personalInPosition": true,
"positionOnly": true,
"specificPersonal": true,
"isRedeligationLimit": true,
"redelegationLimitValueCurrency": "USD",
"redelegationLimitValueNumber": "1000",
"redelegationLimitValueTime": "24h",
"redelegationLimitValuePercentage": "50",
"redeligationLimitsAuthorised": true,
"actionAuthorityRequest": true,
"actionDelegationAcceptance": true,
"actionDecisionRoleAck": true,
"actionIssuerApproval": true,
"actionDesignatedApprover": [
1,
2,
3
],
"document": true,
"comments": true,
"delegationPathway": true
},
"documentManagement": {
"id": 1,
"tenantId": 1,
"linkDocuments": true,
"uploadDocuments": true,
"documentEditing": false,
"documentTypeEnabled": true,
"documentVersioningEnabled": true,
"documentOversightEnabled": true,
"documentGenerationEnabled": true,
"documentGenerationOverview": true,
"documentGenerationAuthorities": true,
"documentExternalSharing": true,
"documentRequirePassword": true,
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
},
"documentOversight": {
"id": 1,
"tenantId": 1,
"owner": true,
"responsibleAuthority": true,
"approvalAuthority": true,
"generateApprovalAction": true,
"reviewerAuthority": true,
"generateReviewAction": true,
"createdAt": "2024-01-12T00:00:00.000Z",
"updatedAt": "2024-01-12T00:00:00.000Z"
},
"matrices": {
"id": 1,
"tenantId": 1,
"isMatricesEnabled": true,
"isDecisionMatrix": true,
"isAuthorityMatrix": true,
"isExternalSharing": true,
"requirePassword": true,
"isCommentsEnabled": true,
"createdAt": "2024-01-15T12:00:00Z",
"updatedAt": "2024-01-15T12:00:00Z"
},
"permissions": []
}
}Tenants
Get tenant settings
GET
/
v1
/
tenants
/
{id}
/
get-settings
Get tenant settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Setting values get successfully
Was this page helpful?
āI